import os
from pattern import *
import routines


wild = Type("wild","./WCK.model",(lambda parameters :  [parameters[0],parameters[1],2,parameters[2],2,0.01,2,0.1]+
[0.1,0.1,parameters[3]]+
[parameters[4],parameters[5],2,parameters[6],2,0.1]+
[0.1,0.1,parameters[7]]+
[parameters[8],parameters[9],2,parameters[10],2,0.1]+
[0.1,0.1,0]+
[parameters[11],0.1,parameters[12]]+
[parameters[13],0.1,parameters[14]]+
[parameters[15],0.1,parameters[16]]+
[0,1,0,0]),cost_species=[4,6,8],init_template=True)

Wlof = Type("Wlof","./WCK.model",(lambda parameters :  [parameters[0],parameters[1],2,parameters[2],2,0.01,2,0.1]+
[0.01,0.1,parameters[3]]+
[parameters[4],parameters[5],2,parameters[6],2,0.1]+
[0.1,0.1,parameters[7]]+
[parameters[8],parameters[9],2,parameters[10],2,0.1]+
[0.1,0.1,0]+
[parameters[11],0.1,parameters[12]]+
[parameters[13],0.1,parameters[14]]+
[parameters[15],0.1,parameters[16]]+
[0,1,0,0]),cost_species=[4,6,8],init_wild=True)

Clof = Type("Clof","./WCK.model",(lambda parameters :  [parameters[0],parameters[1],2,parameters[2],2,0.01,2,0.1]+
[0.1,0.1,parameters[3]]+
[parameters[4],parameters[5],2,parameters[6],2,0.1]+
[0.01,0.1,parameters[7]]+
[parameters[8],parameters[9],2,parameters[10],2,0.1]+
[0.1,0.1,0]+
[parameters[11],0.1,parameters[12]]+
[parameters[13],0.1,parameters[14]]+
[parameters[15],0.1,parameters[16]]+
[0,1,0,0]),cost_species=[4,6,8],init_wild=True)

Klof = Type("Klof","./WCK.model",(lambda parameters :  [parameters[0],parameters[1],2,parameters[2],2,0.01,2,0.1]+
[0.1,0.1,parameters[3]]+
[parameters[4],parameters[5],2,parameters[6],2,0.1]+
[0.1,0.1,parameters[7]]+
[parameters[8],parameters[9],2,parameters[10],2,0.1]+
[0.01,0.1,0]+
[parameters[11],0.1,parameters[12]]+
[parameters[13],0.1,parameters[14]]+
[parameters[15],0.1,parameters[16]]+
[0,1,0,0]),cost_species=[4,6,8],init_wild=True)

Wover = Type("Wover","./WCK.model",(lambda parameters :  [parameters[0],parameters[1],2,parameters[2],2,0.01,2,0.1]+
[1,0.1,parameters[3]]+
[parameters[4],parameters[5],2,parameters[6],2,0.1]+
[0.1,0.1,parameters[7]]+
[parameters[8],parameters[9],2,parameters[10],2,0.1]+
[0.1,0.1,0]+
[parameters[11],0.1,parameters[12]]+
[parameters[13],0.1,parameters[14]]+
[parameters[15],0.1,parameters[16]]+
[0,1,0,0]),cost_species=[4,6,8],init_wild=True)

Cover = Type("Cover","./WCK.model",(lambda parameters :  [parameters[0],parameters[1],2,parameters[2],2,0.01,2,0.1]+
[0.1,0.1,parameters[3]]+
[parameters[4],parameters[5],2,parameters[6],2,0.1]+
[1,0.1,parameters[7]]+
[parameters[8],parameters[9],2,parameters[10],2,0.1]+
[0.1,0.1,0]+
[parameters[11],0.1,parameters[12]]+
[parameters[13],0.1,parameters[14]]+
[parameters[15],0.1,parameters[16]]+
[0,1,0,0]),cost_species=[4,6,8],init_wild=True)

Kover = Type("Kover","./WCK.model",(lambda parameters :  [parameters[0],parameters[1],2,parameters[2],2,0.01,2,0.1]+
[0.1,0.1,parameters[3]]+
[parameters[4],parameters[5],2,parameters[6],2,0.1]+
[0.1,0.1,parameters[7]]+
[parameters[8],parameters[9],2,parameters[10],2,0.1]+
[1,0.1,0]+
[parameters[11],0.1,parameters[12]]+
[parameters[13],0.1,parameters[14]]+
[parameters[15],0.1,parameters[16]]+
[0,1,0,0]),cost_species=[4,6,8],init_wild=True)

Wubi = Type("Wubi","./WCK_Wubi.model",(lambda parameters :  [parameters[0],parameters[1],2,parameters[2],2,0.01,2,1,0.1]+
[0.1,0.1,parameters[3]]+
[parameters[4],parameters[5],2,parameters[6],2,0.1]+
[0.1,0.1,parameters[7]]+
[parameters[8],parameters[9],2,parameters[10],2,0.1]+
[0.1,0.1,0]+
[parameters[11],0.1,parameters[12]]+
[parameters[13],0.1,parameters[14]]+
[parameters[15],0.1,parameters[16]]+
[0,1,0,0]),cost_species=[4,6,8],init_wild=True)

Cubi = Type("Cubi","./WCK_Cubi.model",(lambda parameters :  [parameters[0],parameters[1],2,parameters[2],2,0.01,2,0.1]+
[0.1,0.1,parameters[3]]+
[parameters[4],parameters[5],2,parameters[6],2,1,0.1]+
[0.1,0.1,parameters[7]]+
[parameters[8],parameters[9],2,parameters[10],2,0.1]+
[0.1,0.1,0]+
[parameters[11],0.1,parameters[12]]+
[parameters[13],0.1,parameters[14]]+
[parameters[15],0.1,parameters[16]]+
[0,1,0,0]),cost_species=[4,6,8],init_wild=True)

Kubi = Type("Kubi","./WCK_Kubi.model",(lambda parameters :  [parameters[0],parameters[1],2,parameters[2],2,0.01,2,0.1]+
[0.1,0.1,parameters[3]]+
[parameters[4],parameters[5],2,parameters[6],2,0.1]+
[0.1,0.1,parameters[7]]+
[parameters[8],parameters[9],2,parameters[10],2,1,0.1]+
[0.1,0.1,0]+
[parameters[11],0.1,parameters[12]]+
[parameters[13],0.1,parameters[14]]+
[parameters[15],0.1,parameters[16]]+
[0,1,0,0]),cost_species=[4,6,8],init_wild=True)

pWC = Type("pWC","./WCK_pWC.model",(lambda parameters :  [parameters[0],parameters[1],2,parameters[2],2,0.01,2,0.1]+
[0.1,0.1,parameters[3]]+
[parameters[4],parameters[5],2,parameters[6],2,1,0.1]+
[0.1,0.1,parameters[7]]+
[parameters[8],parameters[9],2,parameters[10],2,0.1]+
[0.1,0.1,0]+
[parameters[11],0.1,parameters[12]]+
[parameters[13],0.1,parameters[14]]+
[parameters[15],0.1,parameters[16]]+
[0,1,0,0]),cost_species=[4,6,8],init_wild=True)

pWK = Type("pWK","./WCK_pWK.model",(lambda parameters :  [parameters[0],parameters[1],2,parameters[2],2,0.01,2,0.1]+
[0.1,0.1,parameters[3]]+
[parameters[4],parameters[5],2,parameters[6],2,0.1]+
[0.1,0.1,parameters[7]]+
[parameters[8],parameters[9],2,parameters[10],2,1,0.1]+
[0.1,0.1,0]+
[parameters[11],0.1,parameters[12]]+
[parameters[13],0.1,parameters[14]]+
[parameters[15],0.1,parameters[16]]+
[0,1,0,0]),cost_species=[4,6,8],init_wild=True)

pCW = Type("pCW","./WCK_pCW.model",(lambda parameters :  [parameters[0],parameters[1],2,parameters[2],2,0.01,2,1,0.1]+
[0.1,0.1,parameters[3]]+
[parameters[4],parameters[5],2,parameters[6],2,0.1]+
[0.1,0.1,parameters[7]]+
[parameters[8],parameters[9],2,parameters[10],2,0.1]+
[0.1,0.1,0]+
[parameters[11],0.1,parameters[12]]+
[parameters[13],0.1,parameters[14]]+
[parameters[15],0.1,parameters[16]]+
[0,1,0,0]),cost_species=[4,6,8],init_wild=True)

pCK = Type("pCK","./WCK_pCK.model",(lambda parameters :  [parameters[0],parameters[1],2,parameters[2],2,0.01,2,0.1]+
[0.1,0.1,parameters[3]]+
[parameters[4],parameters[5],2,parameters[6],2,0.1]+
[0.1,0.1,parameters[7]]+
[parameters[8],parameters[9],2,parameters[10],2,1,0.1]+
[0.1,0.1,0]+
[parameters[11],0.1,parameters[12]]+
[parameters[13],0.1,parameters[14]]+
[parameters[15],0.1,parameters[16]]+
[0,1,0,0]),cost_species=[4,6,8],init_wild=True)

pKW = Type("pKW","./WCK_pKW.model",(lambda parameters :  [parameters[0],parameters[1],2,parameters[2],2,0.01,2,1,0.1]+
[0.1,0.1,parameters[3]]+
[parameters[4],parameters[5],2,parameters[6],2,0.1]+
[0.1,0.1,parameters[7]]+
[parameters[8],parameters[9],2,parameters[10],2,0.1]+
[0.1,0.1,0]+
[parameters[11],0.1,parameters[12]]+
[parameters[13],0.1,parameters[14]]+
[parameters[15],0.1,parameters[16]]+
[0,1,0,0]),cost_species=[4,6,8],init_wild=True)

pKC = Type("pKC","./WCK_pKC.model",(lambda parameters :  [parameters[0],parameters[1],2,parameters[2],2,0.01,2,0.1]+
[0.1,0.1,parameters[3]]+
[parameters[4],parameters[5],2,parameters[6],2,1,0.1]+
[0.1,0.1,parameters[7]]+
[parameters[8],parameters[9],2,parameters[10],2,0.1]+
[0.1,0.1,0]+
[parameters[11],0.1,parameters[12]]+
[parameters[13],0.1,parameters[14]]+
[parameters[15],0.1,parameters[16]]+
[0,1,0,0]),cost_species=[4,6,8],init_wild=True)

growth = Type("growth","./WCK_growth.model",(lambda parameters :  [0.0001,0.8,0.1,0.0,0.1,9.0,0.9,0.1,0.3,-1.0,-1]+
[parameters[0],parameters[1],2,parameters[2],2,0.01,2,0.1]+
[0.1,0.1,parameters[3]]+
[parameters[4],parameters[5],2,parameters[6],2,0.1]+
[0.1,0.1,parameters[7]]+
[parameters[8],parameters[9],2,parameters[10],2,0.1]+
[0.1,0.1,0]+
[5,4,-1,5,6,1,0.1,1.5,-1,0.1]+
[parameters[11],0.1,parameters[12]]+
[0.1,8.5,1,0.1]+
[parameters[13],0.1,parameters[14]]+
[parameters[15],0.1,parameters[16]]+
[0,1,1,0]),cost_species=[4,6,8],init_template=True)


directory = "default"

sam = Pattern("./WCK.init",directory+"/",wild,[Wlof,Clof,Klof,Wover,Cover,Kover,Wubi,Cubi,Kubi,pWC,pWK,pCW,pCK,pKW,pKC,growth])

example =[0.236849765474,0.0238696227306,0.0473543092218,0.0423820092116,0.675534613539,0.0434349758333,0.0887568488361,3.54286065491,0.188684239982,0.189784354863,0.00387054456781,0.0656078130455,0.00713531525992,0.00983564477734,0.02453881834,0.0208945733968,0.000838260306966]
